# Getting Started

![datasist](https://risenw.github.io/datasist/datasist.png)

## datasist: Python library for easy data analysis, visualization, exploration and modeling

| Latest Release |  [![latest release](https://img.shields.io/badge/pip-v1.5.2-blue.svg)](https://pypi.org/project/datasist/) |
| :--- | :--- |
| Release Status |  [![status](https://img.shields.io/badge/status-stable-brightgreen.svg)](./) |
| License |  [![license](https://img.shields.io/badge/license-MIT-orange.svg)](./) |
| Build Status |  [![build status](https://travis-ci.org/risenW/datasist.svg?branch=master)](./) |
| Downloads | ![PyPI - Downloads](https://img.shields.io/pypi/dm/datasist?style=plastic) |
| Source Rank | ![Libraries.io SourceRank](https://img.shields.io/librariesio/sourcerank/pypi/datasist)
| Twitter | ![Twitter URL](https://img.shields.io/twitter/url?style=social&url=https%3A%2F%2Ftwitter.com%2Fdatasistlibrary) |
### What is it?

**datasist** is a python package providing fast, quick, and an abstracted interface to popular and frequently used functions or techniques relating to data analysis, visualization, data exploration, feature engineering, Computer, NLP, Deep Learning, modeling, model deployment etc.

### Install

```bash
pip install datasist
```

### Installation from source (Developers)

To install datasist from source you need python 3.6&gt; in addition to the normal dependencies above.

Run the following command in a terminal/command prompt

```bash
git clone https://github.com/risenW/datasist.git
cd datasist
python setup.py install
```

Alternatively, you can use install with `pip` after cloning, if you want all the dependencies pulled in automatically \(the `-e` option is for installing it in \[development mode\]:

```bash
git clone https://github.com/risenW/datasist.git
cd datasist
pip install -e .
```

### Documentation

Full documentaion can be found [here](https://risingodegua.gitbook.io/datasist-doc/)

### Contributing to datasist

All contributions, bug reports, bug fixes, documentation improvements, enhancements and ideas are welcome.

If you would like to contribute to datasist, find a detailed contribution guide [**here**](https://risingodegua.gitbook.io/datasist-doc/contributing).


### Using Datasist
[Quick start guide](https://risingodegua.gitbook.io/datasist-doc/quickstart)

[Tutorial guide](https://risenw.github.io/datasist/classification_example.html)

#### Youtube Videos

Introduction to using Datasist, presented at NeuRips Meetup - PH. [Click Here](https://youtu.be/WYxSz6WBn-M)

Introduction to Datasist by DataKnight [Click Here](https://youtu.be/ErWa_WWu7vM)

[![Made in Nigeria](https://img.shields.io/badge/made%20in-nigeria-008751.svg?style=flat-square)](https://github.com/acekyd/made-in-nigeria)
